<!DOCTYPE html>
<%--
 Copyright (c) 2011, 2012 IBM Corporation and others.

 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v1.0
 and Eclipse Distribution License v. 1.0 which accompanies this distribution.
 
 The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
 and the Eclipse Distribution License is available at
 http://www.eclipse.org/org/documents/edl-v10.php.
 
 Contributors:
 
    Sam Padgett 	 - initial API and implementation
    Michael Fiedler	 - adapted for OSLC4J
	Jad El-khoury        - initial implementation of code generator (https://bugs.eclipse.org/bugs/show_bug.cgi?id=422448)

 This file is generated by org.eclipse.lyo.oslc4j.codegenerator
--%>

<%@page import="org.eclipse.lyo.oslc4j.core.model.ServiceProvider"%>
<%@page import="java.util.List" %>
<%@page import="se.kth.md.it.bcm.resources.BugzillaChangeRequest"%>
<%@page import="se.kth.md.it.bcm.servlet.ServletListener"%>
<%--
Start of user code imports
--%>
<%-- 
End of user code 
--%>


<%@ page contentType="text/html" language="java" pageEncoding="UTF-8" %>

<%
	String creatorUri = (String) request.getAttribute("creatorUri");
	String serviceProviderId = (String) request.getAttribute("serviceProviderId");
%>
<%--
Start of user code getRequestAttributes
--%>
<%
	String bugzillaUri = (String) request.getAttribute("bugzillaUri");
	String creatorUri = (String) request.getAttribute("creatorUri");
%>
<%--
End of user code
--%>

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html;charset=utf-8">
		<title>Change Request Creation Dialog</title>
		<%-- 
Start of user code (RECOMMENDED) headStuff 
		--%>
		<link href="<%=bugzillaUri%>/skins/standard/global.css" rel="stylesheet" type="text/css">
		<link href="<%=bugzillaUri%>/skins/standard/index.css" rel="stylesheet" type="text/css">
		<link href="<%=bugzillaUri%>/skins/standard/global.css" rel="alternate stylesheet" title="Classic" type="text/css">
		<link href="<%=bugzillaUri%>/skins/standard/index.css" rel="alternate stylesheet" title="Classic" type="text/css">
		<link href="<%=bugzillaUri%>/skins/contrib/Dusk/global.css" rel="stylesheet" title="Dusk" type="text/css">
		<link href="<%=bugzillaUri%>/skins/contrib/Dusk/index.css" rel="stylesheet" title="Dusk" type="text/css">
		<link href="<%=bugzillaUri%>/skins/custom/global.css" rel="stylesheet" type="text/css">
		<link href="<%=bugzillaUri%>/skins/custom/index.css" rel="stylesheet" type="text/css">
		
		<script src="//code.jquery.com/jquery-1.10.2.js"></script>
		<script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
		<link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css"> 
		<script>
		  $(function() {
		    $( "#closeDate" ).datepicker();
			$( "#modified" ).datepicker();
			$( "#created" ).datepicker();
		  });
		  </script>
		  <script type="text/javascript" src="<%=ServletListener.getServletBase() %>/delegatedUI.js"></script>
		<%-- 
End of user code 
		--%>
		<script type="text/javascript" src="<%=ServletListener.getServletBase() %>/delegatedUI.js"></script>
	</head>
	<body style="padding: 10px;">
		<div id="bugzilla-body">
		<form id="Create" method="POST" class="enter_bug_form">
		<%-- 
Start of user code (RECOMMENDED) formStuff 
		--%>
		<%-- 
End of user code 
		--%>
				<table style="clear: both;">
					<tr>
						<td><%= BugzillaChangeRequest.productToHtmlForCreation1(request, serviceProviderId)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.componentToHtmlForCreation1(request, serviceProviderId)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.versionToHtmlForCreation1(request, serviceProviderId)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.priorityToHtmlForCreation1(request, serviceProviderId)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.platformToHtmlForCreation1(request, serviceProviderId)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.operatingSystemToHtmlForCreation1(request, serviceProviderId)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.affectedByDefectToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.affectsPlanItemToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.affectsRequirementToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.affectsTestResultToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.blocksTestExecutionRecordToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.contributorToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.creatorToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.dctermsTypeToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.implementsRequirementToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.relatedChangeRequestToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.relatedTestCaseToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.relatedTestExecutionRecordToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.relatedTestPlanToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.relatedTestScriptToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.subjectToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.testedByTestCaseToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.tracksChangeSetToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.tracksRequirementToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.rdfTypeToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.approvedToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.closedToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.closeDateToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.createdToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.descriptionToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.discussedByToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.fixedToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.identifierToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.inprogressToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.instanceShapeToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.modifiedToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.reviewedToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.serviceProviderToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.shortTitleToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.statusToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.titleToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td><%= BugzillaChangeRequest.verifiedToHtmlForCreation(request)%></td>
					</tr>
					<tr>
						<td></td>
						<td>
							<input type="button"
								value="Submit"
								onclick="javascript: create( '<%= creatorUri %>' )">
							<input type="reset">
						</td>
					</tr>
				</table>
				<div style="width: 500px;">
				</div>
			</form>

			<div style="clear: both;"></div>
		</div>
	</body>
</html>
